> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch plan

> This endpoint is used to fetch [plan](/core-concepts#plan-and-price) details given a plan identifier.
It returns information about the prices included in the plan and their configuration, as well as the product
that the plan is attached to.

## Serialized prices
Orb supports a few different pricing models out of the box.
Each of these models is serialized differently in a given [Price](/core-concepts#plan-and-price) object.
The `model_type` field determines the key for the configuration object that is present. A detailed explanation of
price types can be found in the [Price schema](/core-concepts#plan-and-price).

## Phases
Orb supports plan phases, also known as contract ramps. For plans with phases, the serialized prices refer to
all prices across all phases.



## OpenAPI

````yaml /api-reference/orb-openapi.json get /plans/{plan_id}
openapi: 3.1.0
info:
  title: API Reference
  description: >-
    Orb's API is built with the following principles in mind:


    1. **Predictable developer experience**: Where applicable, the Orb API uses
    industry-standard patterns such as

    cursor-based pagination and standardized error output. To help with
    debugging in critical API

    actions, the API always strives to provide detailed and actionable error
    messages. Aliases

    such as external customer IDs aid in fast integration times.

    2. **Reliably real time**: Orb's event-based APIs, such as event ingestion
    are designed to handle extremely high

    throughput and scale with concurrent load. Orb also provides a real-time
    event-level credits

    ledger and a highly performant webhooks architecture.

    3. **Flexibility at the forefront**: Features like timezone localization and
    the ability to amend historical usage

    show the flexible nature of the platform.


    You can download the latest OpenAPI spec
    [here](https://api.withorb.com/spec.json) - pass `?version=3.0` for an

    OpenAPI 3.0-compatible spec.
  contact:
    name: Orb, Inc.
    url: https://www.withorb.com/
    email: team@withorb.com
  version: '1.0'
servers:
  - url: https://api.withorb.com/v1
    description: Production server
security:
  - APIKeyAuth: []
tags:
  - name: Alert
    description: >-
      [Alerts within Orb](/product-catalog/configuring-alerts) monitor spending,

      usage, or credit balance and trigger webhooks when a threshold is
      exceeded.


      Alerts created through the API can be scoped to either customers or
      subscriptions.
  - name: Availability
  - name: Coupon
    description: >-
      A coupon represents a reusable discount configuration that can be applied
      either as a fixed or percentage amount to an invoice or subscription.
      Coupons are activated using a redemption code, which applies the discount
      to a subscription or invoice. The duration of a coupon determines how long
      it remains available for use by end users.
  - name: Credit
    description: >-
      The [Credit Ledger Entry resource](/product-catalog/prepurchase) models
      prepaid credits within Orb.
  - name: Credit note
    description: >-
      The [Credit Note](/invoicing/credit-notes) resource represents a credit
      that has been applied to a

      particular invoice.
  - name: Customer
    description: >-
      A customer is a buyer of your products, and the other party to the billing
      relationship.


      In Orb, customers are assigned system generated identifiers automatically,
      but it's often desirable to have these

      match existing identifiers in your system. To avoid having to denormalize
      Orb ID information, you can pass in an

      `external_customer_id` with your own identifier. See

      [Customer ID Aliases](/events-and-metrics/customer-aliases) for further
      information about how these

      aliases work in Orb.


      In addition to having an identifier in your system, a customer may exist
      in a payment provider solution like

      Stripe. Use the `payment_provider_id` and the `payment_provider` enum
      field to express this mapping.


      A customer also has a timezone (from the standard [IANA timezone
      database](https://www.iana.org/time-zones)), which

      defaults to your account's timezone. See [Timezone
      localization](/essentials/timezones) for

      information on what this timezone parameter influences within Orb.
  - name: Dimensional Price Group
  - name: Event
    description: >-
      The [Event](/core-concepts#event) resource represents a usage event that
      has been created for a

      customer. Events are the core of Orb's usage-based billing model, and are
      used to calculate the usage charges for

      a given billing period.
  - name: Invoice
    description: >-
      An [`Invoice`](/core-concepts#invoice) is a fundamental billing entity,
      representing the request for payment for

      a single subscription. This includes a set of line items, which correspond
      to prices in the subscription's plan and

      can represent fixed recurring fees or usage-based fees. They are generated
      at the end of a billing period, or as

      the result of an action, such as a cancellation.
  - name: Item
    description: >-
      The Item resource represents a sellable product or good. Items are
      associated with all line items, billable metrics,

      and prices and are used for defining external sync behavior for invoices
      and tax calculation purposes.
  - name: License
  - name: LicenseType
    description: >-
      The LicenseType resource represents a type of license that can be assigned
      to users.

      License types are used during billing by grouping metrics on the
      configured grouping key.
  - name: Metric
    description: >-
      The Metric resource represents a calculation of a quantity based on
      events.

      Metrics are defined by the query that transforms raw usage events into
      meaningful values for your customers.
  - name: Plan
    description: >-
      The [Plan](/core-concepts#plan-and-price) resource represents a plan that
      can be subscribed to by a

      customer. Plans define the billing behavior of the subscription. You can
      see more about how to configure prices

      in the [Price resource](/reference/price).
  - name: Price
    description: >-
      The Price resource represents a price that can be billed on a
      subscription, resulting in a charge on an invoice in

      the form of an invoice line item. Prices take a quantity and determine an
      amount to bill.


      Orb supports a few different pricing models out of the box. Each of these
      models is serialized differently in a

      given Price object. The model_type field determines the key for the
      configuration object that is present.


      For more on the types of prices, see [the core concepts
      documentation](/core-concepts#plan-and-price)
  - name: Price interval
    description: >-
      The Price Interval resource represents a period of time for which a price
      will bill on a subscription. A

      subscription’s price intervals define its billing behavior.
  - name: Subscription
    description: >-
      A [subscription](/core-concepts#subscription) represents the purchase of a
      plan by a customer.


      By default, subscriptions begin on the day that they're created and renew
      automatically for each billing cycle at

      the cadence that's configured in the plan definition.


      Subscriptions also default to **beginning of month alignment**, which
      means the first invoice issued for the

      subscription will have pro-rated charges between the `start_date` and the
      first of the following month. Subsequent

      billing periods will always start and end on a month boundary (e.g.
      subsequent month starts for monthly billing).


      Depending on the plan configuration, any _flat_ recurring fees will be
      billed either at the beginning (in-advance)

      or end (in-arrears) of each billing cycle. Plans default to **in-advance
      billing**. Usage-based fees are billed in

      arrears as usage is accumulated. In the normal course of events, you can
      expect an invoice to contain usage-based

      charges for the previous period, and a recurring fee for the following
      period.
  - name: Subscription Change
paths:
  /plans/{plan_id}:
    get:
      tags:
        - Plan
      summary: Fetch plan
      description: >-
        This endpoint is used to fetch [plan](/core-concepts#plan-and-price)
        details given a plan identifier.

        It returns information about the prices included in the plan and their
        configuration, as well as the product

        that the plan is attached to.


        ## Serialized prices

        Orb supports a few different pricing models out of the box.

        Each of these models is serialized differently in a given
        [Price](/core-concepts#plan-and-price) object.

        The `model_type` field determines the key for the configuration object
        that is present. A detailed explanation of

        price types can be found in the [Price
        schema](/core-concepts#plan-and-price).


        ## Phases

        Orb supports plan phases, also known as contract ramps. For plans with
        phases, the serialized prices refer to

        all prices across all phases.
      operationId: fetch-plan
      parameters:
        - required: true
          style: simple
          schema:
            type: string
          name: plan_id
          in: path
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plan'
        '400':
          description: Bad Request
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '401':
          description: Unauthorized
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
        '404':
          description: Not Found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
        '409':
          description: Conflict
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/409Error'
        '413':
          description: Content Too Large
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/413Error'
        '429':
          description: Too Many Requests
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/429Error'
        '500':
          description: Internal Server Error
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500Error'
components:
  schemas:
    Plan:
      properties:
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        created_at:
          type: string
          format: date-time
          title: Created At
        status:
          type: string
          enum:
            - active
            - archived
            - draft
          title: Status
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        product:
          $ref: '#/components/schemas/Product'
        version:
          type: integer
          title: Version
        trial_config:
          $ref: '#/components/schemas/TrialConfig'
        plan_phases:
          oneOf:
            - items:
                $ref: '#/components/schemas/PlanPhase'
              type: array
            - type: 'null'
          title: Plan Phases
        base_plan:
          oneOf:
            - $ref: '#/components/schemas/PlanMinified'
            - type: 'null'
          description: >-
            Legacy field representing the parent plan if the current plan is a
            'child plan', overriding prices from the parent.
          deprecated: true
        base_plan_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Base Plan Id
          description: >-
            Legacy field representing the parent plan ID if the current plan is
            a 'child plan', overriding prices from the parent.
          deprecated: true
        external_plan_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Plan Id
          description: >-
            An optional user-defined ID for this plan resource, used throughout
            the system as an alias for this Plan. Use this field to identify a
            plan by an existing identifier in your system.
        currency:
          type: string
          title: Currency
          description: >-
            An ISO 4217 currency string or custom pricing unit (`credits`) for
            this plan's prices.
          deprecated: true
        invoicing_currency:
          type: string
          title: Invoicing Currency
          description: >-
            An ISO 4217 currency string for which this plan is billed in.
            Matches `currency` unless `currency` is a custom pricing unit.
        net_terms:
          oneOf:
            - type: integer
            - type: 'null'
          title: Net Terms
          description: >-
            Determines the difference between the invoice issue date and the due
            date. A value of "0" here signifies that invoices are due on issue,
            whereas a value of "30" means that the customer has a month to pay
            the invoice before its overdue. Note that individual subscriptions
            or invoices may set a different net terms configuration.
        default_invoice_memo:
          oneOf:
            - type: string
            - type: 'null'
          title: Default Invoice Memo
          description: >-
            The default memo text on the invoices corresponding to subscriptions
            on this plan. Note that each subscription may configure its own
            memo.
        prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          uniqueItems: true
          title: Prices
          description: >-
            Prices for this plan. If the plan has phases, this includes prices
            across all phases of the plan.
        adjustments:
          items:
            $ref: '#/components/schemas/Adjustment'
          type: array
          uniqueItems: true
          title: Adjustments
          description: >-
            Adjustments for this plan. If the plan has phases, this includes
            adjustments across all phases of the plan.
      type: object
      required:
        - metadata
        - id
        - name
        - description
        - maximum_amount
        - minimum_amount
        - created_at
        - status
        - maximum
        - minimum
        - discount
        - product
        - version
        - trial_config
        - plan_phases
        - base_plan
        - base_plan_id
        - external_plan_id
        - currency
        - invoicing_currency
        - net_terms
        - default_invoice_memo
        - prices
        - adjustments
      title: Plan
      description: >-
        The [Plan](/core-concepts#plan-and-price) resource represents a plan
        that can be subscribed to by a

        customer. Plans define the billing behavior of the subscription. You can
        see more about how to configure prices

        in the [Price resource](/reference/price).
    400Error:
      oneOf:
        - $ref: '#/components/schemas/ConstraintViolationError'
        - $ref: '#/components/schemas/DuplicateResourceCreationError'
        - $ref: '#/components/schemas/RequestValidationError'
    401Error:
      $ref: '#/components/schemas/AuthorizationError'
      title: 401Error
    404Error:
      oneOf:
        - $ref: '#/components/schemas/FeatureNotAvailableError'
        - $ref: '#/components/schemas/ResourceNotFoundError'
        - $ref: '#/components/schemas/URLNotFound'
    409Error:
      $ref: '#/components/schemas/IdempotencyRequestMismatch'
      title: 409Error
    413Error:
      oneOf:
        - $ref: '#/components/schemas/RequestTooLargeError'
        - $ref: '#/components/schemas/ResourceTooLargeError'
        - $ref: '#/components/schemas/TooManyResultsError'
    429Error:
      $ref: '#/components/schemas/TooManyRequests'
      title: 429Error
    500Error:
      $ref: '#/components/schemas/ServerError'
      title: 500Error
    Maximum:
      properties:
        maximum_amount:
          type: string
          title: Maximum Amount
          description: Maximum amount applied
        filters:
          items:
            $ref: '#/components/schemas/PriceFilter'
          type: array
          title: Filters
          description: The filters that determine which prices to apply this maximum to.
        applies_to_price_ids:
          items:
            type: string
          type: array
          title: Applies To Price Ids
          description: >-
            List of price_ids that this maximum amount applies to. For plan/plan
            phase maximums, this can be a subset of prices.
          deprecated: true
      type: object
      required:
        - maximum_amount
        - filters
        - applies_to_price_ids
      title: Maximum
    Minimum:
      properties:
        minimum_amount:
          type: string
          title: Minimum Amount
          description: Minimum amount applied
        filters:
          items:
            $ref: '#/components/schemas/PriceFilter'
          type: array
          title: Filters
          description: The filters that determine which prices to apply this minimum to.
        applies_to_price_ids:
          items:
            type: string
          type: array
          title: Applies To Price Ids
          description: >-
            List of price_ids that this minimum amount applies to. For plan/plan
            phase minimums, this can be a subset of prices.
          deprecated: true
      type: object
      required:
        - minimum_amount
        - filters
        - applies_to_price_ids
      title: Minimum
    Discount:
      oneOf:
        - $ref: '#/components/schemas/PercentageDiscount'
        - $ref: '#/components/schemas/TrialDiscount'
        - $ref: '#/components/schemas/UsageDiscount'
        - $ref: '#/components/schemas/AmountDiscount'
        - $ref: '#/components/schemas/TieredPercentageDiscount'
      discriminator:
        propertyName: discount_type
        mapping:
          amount:
            $ref: '#/components/schemas/AmountDiscount'
          percentage:
            $ref: '#/components/schemas/PercentageDiscount'
          tiered_percentage:
            $ref: '#/components/schemas/TieredPercentageDiscount'
          trial:
            $ref: '#/components/schemas/TrialDiscount'
          usage:
            $ref: '#/components/schemas/UsageDiscount'
    Product:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - created_at
        - id
        - name
      title: Product
    TrialConfig:
      properties:
        trial_period:
          oneOf:
            - type: integer
            - type: 'null'
          title: Trial Period
        trial_period_unit:
          type: string
          enum:
            - days
          title: Trial Period Unit
      type: object
      required:
        - trial_period
        - trial_period_unit
      title: TrialConfig
    PlanPhase:
      properties:
        id:
          type: string
          title: Id
        description:
          oneOf:
            - type: string
            - type: 'null'
          title: Description
        duration:
          oneOf:
            - type: integer
            - type: 'null'
          title: Duration
          description: >-
            How many terms of length `duration_unit` this phase is active for.
            If null, this phase is evergreen and active indefinitely
        duration_unit:
          oneOf:
            - type: string
              enum:
                - daily
                - monthly
                - quarterly
                - semi_annual
                - annual
            - type: 'null'
          title: Duration Unit
        name:
          type: string
          title: Name
        order:
          type: integer
          title: Order
          description: >-
            Determines the ordering of the phase in a plan's lifecycle. 1 =
            first phase.
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
      type: object
      required:
        - id
        - description
        - duration
        - duration_unit
        - name
        - order
        - minimum
        - maximum
        - maximum_amount
        - minimum_amount
        - discount
      title: PlanPhase
    PlanMinified:
      properties:
        id:
          oneOf:
            - type: string
            - type: 'null'
          title: Id
          examples:
            - m2t5akQeh2obwxeU
        external_plan_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Plan Id
          description: >-
            An optional user-defined ID for this plan resource, used throughout
            the system as an alias for this Plan. Use this field to identify a
            plan by an existing identifier in your system.
          examples:
            - m2t5akQeh2obwxeU
        name:
          oneOf:
            - type: string
            - type: 'null'
          title: Name
          examples:
            - Example plan
      type: object
      required:
        - id
        - external_plan_id
        - name
      title: PlanMinified
    Price:
      oneOf:
        - $ref: '#/components/schemas/UnitPrice'
        - $ref: '#/components/schemas/TieredPrice'
        - $ref: '#/components/schemas/BulkPrice'
        - $ref: '#/components/schemas/BulkWithFiltersPrice'
        - $ref: '#/components/schemas/PackagePrice'
        - $ref: '#/components/schemas/MatrixPrice'
        - $ref: '#/components/schemas/ThresholdTotalAmountPrice'
        - $ref: '#/components/schemas/TieredPackagePrice'
        - $ref: '#/components/schemas/TieredWithMinimumPrice'
        - $ref: '#/components/schemas/GroupedTieredPrice'
        - $ref: '#/components/schemas/TieredPackageWithMinimumPrice'
        - $ref: '#/components/schemas/PackageWithAllocationPrice'
        - $ref: '#/components/schemas/UnitWithPercentPrice'
        - $ref: '#/components/schemas/MatrixWithAllocationPrice'
        - $ref: '#/components/schemas/MatrixWithThresholdDiscountsPrice'
        - $ref: '#/components/schemas/TieredWithProrationPrice'
        - $ref: '#/components/schemas/UnitWithProrationPrice'
        - $ref: '#/components/schemas/GroupedAllocationPrice'
        - $ref: '#/components/schemas/BulkWithProrationPrice'
        - $ref: '#/components/schemas/GroupedWithProratedMinimumPrice'
        - $ref: '#/components/schemas/GroupedWithMeteredMinimumPrice'
        - $ref: '#/components/schemas/GroupedWithMinMaxThresholdsPrice'
        - $ref: '#/components/schemas/MatrixWithDisplayNamePrice'
        - $ref: '#/components/schemas/GroupedTieredPackagePrice'
        - $ref: '#/components/schemas/MaxGroupTieredPackagePrice'
        - $ref: '#/components/schemas/ScalableMatrixWithUnitPricingPrice'
        - $ref: '#/components/schemas/ScalableMatrixWithTieredPricingPrice'
        - $ref: '#/components/schemas/CumulativeGroupedBulkPrice'
        - $ref: '#/components/schemas/CumulativeGroupedAllocationPrice'
        - $ref: '#/components/schemas/DailyCreditAllowancePrice'
        - $ref: '#/components/schemas/MeteredAllowancePrice'
        - $ref: '#/components/schemas/MinimumCompositePrice'
        - $ref: '#/components/schemas/PercentCompositePrice'
        - $ref: '#/components/schemas/EventOutputPrice'
      description: >-
        The Price resource represents a price that can be billed on a
        subscription, resulting in a charge on an invoice in

        the form of an invoice line item. Prices take a quantity and determine
        an amount to bill.


        Orb supports a few different pricing models out of the box. Each of
        these models is serialized differently in a

        given Price object. The model_type field determines the key for the
        configuration object that is present.


        For more on the types of prices, see [the core concepts
        documentation](/core-concepts#plan-and-price)
      discriminator:
        propertyName: model_type
        mapping:
          bulk:
            $ref: '#/components/schemas/BulkPrice'
          bulk_with_filters:
            $ref: '#/components/schemas/BulkWithFiltersPrice'
          bulk_with_proration:
            $ref: '#/components/schemas/BulkWithProrationPrice'
          cumulative_grouped_allocation:
            $ref: '#/components/schemas/CumulativeGroupedAllocationPrice'
          cumulative_grouped_bulk:
            $ref: '#/components/schemas/CumulativeGroupedBulkPrice'
          daily_credit_allowance:
            $ref: '#/components/schemas/DailyCreditAllowancePrice'
          event_output:
            $ref: '#/components/schemas/EventOutputPrice'
          grouped_allocation:
            $ref: '#/components/schemas/GroupedAllocationPrice'
          grouped_tiered:
            $ref: '#/components/schemas/GroupedTieredPrice'
          grouped_tiered_package:
            $ref: '#/components/schemas/GroupedTieredPackagePrice'
          grouped_with_metered_minimum:
            $ref: '#/components/schemas/GroupedWithMeteredMinimumPrice'
          grouped_with_min_max_thresholds:
            $ref: '#/components/schemas/GroupedWithMinMaxThresholdsPrice'
          grouped_with_prorated_minimum:
            $ref: '#/components/schemas/GroupedWithProratedMinimumPrice'
          matrix:
            $ref: '#/components/schemas/MatrixPrice'
          matrix_with_allocation:
            $ref: '#/components/schemas/MatrixWithAllocationPrice'
          matrix_with_display_name:
            $ref: '#/components/schemas/MatrixWithDisplayNamePrice'
          matrix_with_threshold_discounts:
            $ref: '#/components/schemas/MatrixWithThresholdDiscountsPrice'
          max_group_tiered_package:
            $ref: '#/components/schemas/MaxGroupTieredPackagePrice'
          metered_allowance:
            $ref: '#/components/schemas/MeteredAllowancePrice'
          minimum_composite:
            $ref: '#/components/schemas/MinimumCompositePrice'
          package:
            $ref: '#/components/schemas/PackagePrice'
          package_with_allocation:
            $ref: '#/components/schemas/PackageWithAllocationPrice'
          percent:
            $ref: '#/components/schemas/PercentCompositePrice'
          scalable_matrix_with_tiered_pricing:
            $ref: '#/components/schemas/ScalableMatrixWithTieredPricingPrice'
          scalable_matrix_with_unit_pricing:
            $ref: '#/components/schemas/ScalableMatrixWithUnitPricingPrice'
          threshold_total_amount:
            $ref: '#/components/schemas/ThresholdTotalAmountPrice'
          tiered:
            $ref: '#/components/schemas/TieredPrice'
          tiered_package:
            $ref: '#/components/schemas/TieredPackagePrice'
          tiered_package_with_minimum:
            $ref: '#/components/schemas/TieredPackageWithMinimumPrice'
          tiered_with_minimum:
            $ref: '#/components/schemas/TieredWithMinimumPrice'
          tiered_with_proration:
            $ref: '#/components/schemas/TieredWithProrationPrice'
          unit:
            $ref: '#/components/schemas/UnitPrice'
          unit_with_percent:
            $ref: '#/components/schemas/UnitWithPercentPrice'
          unit_with_proration:
            $ref: '#/components/schemas/UnitWithProrationPrice'
    Adjustment:
      oneOf:
        - $ref: '#/components/schemas/PlanPhaseUsageDiscountAdjustment'
        - $ref: '#/components/schemas/PlanPhaseAmountDiscountAdjustment'
        - $ref: '#/components/schemas/PlanPhasePercentageDiscountAdjustment'
        - $ref: '#/components/schemas/PlanPhaseTieredPercentageDiscountAdjustment'
        - $ref: '#/components/schemas/PlanPhaseMinimumAdjustment'
        - $ref: '#/components/schemas/PlanPhaseMaximumAdjustment'
      discriminator:
        propertyName: adjustment_type
        mapping:
          amount_discount:
            $ref: '#/components/schemas/PlanPhaseAmountDiscountAdjustment'
          maximum:
            $ref: '#/components/schemas/PlanPhaseMaximumAdjustment'
          minimum:
            $ref: '#/components/schemas/PlanPhaseMinimumAdjustment'
          percentage_discount:
            $ref: '#/components/schemas/PlanPhasePercentageDiscountAdjustment'
          tiered_percentage_discount:
            $ref: '#/components/schemas/PlanPhaseTieredPercentageDiscountAdjustment'
          usage_discount:
            $ref: '#/components/schemas/PlanPhaseUsageDiscountAdjustment'
    ConstraintViolationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-constraint-violation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ConstraintViolationError
    DuplicateResourceCreationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-duplicate-resource-creation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: DuplicateResourceCreationError
    RequestValidationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-request-validation-errors
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
        validation_errors:
          items: {}
          type: array
          title: Validation Errors
      type: object
      required:
        - type
        - status
        - validation_errors
      title: RequestValidationError
    AuthorizationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#401-authentication-error
          title: Type
        status:
          type: integer
          enum:
            - 401
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: AuthorizationError
    FeatureNotAvailableError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-feature-not-available
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: FeatureNotAvailableError
    ResourceNotFoundError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-resource-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          type: string
          title: Title
      type: object
      required:
        - type
        - status
        - title
      title: ResourceNotFoundError
    URLNotFound:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-url-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: URLNotFound
    IdempotencyRequestMismatch:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#409-resource-conflict
          title: Type
        status:
          type: integer
          enum:
            - 409
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: IdempotencyRequestMismatch
    RequestTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-request-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: RequestTooLargeError
    ResourceTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-resource-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ResourceTooLargeError
    TooManyResultsError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-too-many-results
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyResultsError
    TooManyRequests:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#429-too-many-requests
          title: Type
        status:
          type: integer
          enum:
            - 429
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyRequests
    ServerError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#500-internal-server-error
          title: Type
        status:
          type: integer
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ServerError
    PriceFilter:
      properties:
        field:
          type: string
          enum:
            - price_id
            - item_id
            - price_type
            - currency
            - pricing_unit_id
          title: Field
          description: The property of the price to filter on.
        operator:
          type: string
          enum:
            - includes
            - excludes
          title: Operator
          description: Should prices that match the filter be included or excluded.
        values:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Values
          description: The IDs or values that match this filter.
      type: object
      required:
        - field
        - operator
        - values
      title: PriceFilter
    PercentageDiscount:
      properties:
        discount_type:
          type: string
          enum:
            - percentage
          title: Discount Type
        applies_to_price_ids:
          oneOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Applies To Price Ids
          description: >-
            List of price_ids that this discount applies to. For plan/plan phase
            discounts, this can be a subset of prices.
          examples:
            - - h74gfhdjvn7ujokd
              - 7hfgtgjnbvc3ujkl
        filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Filters
          description: The filters that determine which prices to apply this discount to.
        reason:
          oneOf:
            - type: string
            - type: 'null'
          title: Reason
        percentage_discount:
          type: number
          maximum: 1
          minimum: 0
          title: Percentage Discount
          description: >-
            Only available if discount_type is `percentage`. This is a number
            between 0 and 1.
          examples:
            - 0.15
      type: object
      required:
        - discount_type
        - percentage_discount
      title: PercentageDiscount
    TrialDiscount:
      properties:
        discount_type:
          type: string
          enum:
            - trial
          title: Discount Type
        applies_to_price_ids:
          oneOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Applies To Price Ids
          description: >-
            List of price_ids that this discount applies to. For plan/plan phase
            discounts, this can be a subset of prices.
          examples:
            - - h74gfhdjvn7ujokd
              - 7hfgtgjnbvc3ujkl
        filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Filters
          description: The filters that determine which prices to apply this discount to.
        reason:
          oneOf:
            - type: string
            - type: 'null'
          title: Reason
        trial_amount_discount:
          oneOf:
            - type: string
            - type: 'null'
          title: Trial Amount Discount
          description: Only available if discount_type is `trial`
        trial_percentage_discount:
          oneOf:
            - type: number
            - type: 'null'
          title: Trial Percentage Discount
          description: Only available if discount_type is `trial`
      type: object
      required:
        - discount_type
      title: TrialDiscount
    UsageDiscount:
      properties:
        discount_type:
          type: string
          enum:
            - usage
          title: Discount Type
        applies_to_price_ids:
          oneOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Applies To Price Ids
          description: >-
            List of price_ids that this discount applies to. For plan/plan phase
            discounts, this can be a subset of prices.
          examples:
            - - h74gfhdjvn7ujokd
              - 7hfgtgjnbvc3ujkl
        filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Filters
          description: The filters that determine which prices to apply this discount to.
        reason:
          oneOf:
            - type: string
            - type: 'null'
          title: Reason
        usage_discount:
          type: number
          title: Usage Discount
          description: >-
            Only available if discount_type is `usage`. Number of usage units
            that this discount is for
      type: object
      required:
        - discount_type
        - usage_discount
      title: UsageDiscount
    AmountDiscount:
      properties:
        discount_type:
          type: string
          enum:
            - amount
          title: Discount Type
        applies_to_price_ids:
          oneOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Applies To Price Ids
          description: >-
            List of price_ids that this discount applies to. For plan/plan phase
            discounts, this can be a subset of prices.
          examples:
            - - h74gfhdjvn7ujokd
              - 7hfgtgjnbvc3ujkl
        filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Filters
          description: The filters that determine which prices to apply this discount to.
        reason:
          oneOf:
            - type: string
            - type: 'null'
          title: Reason
        amount_discount:
          type: string
          title: Amount Discount
          description: Only available if discount_type is `amount`.
      type: object
      required:
        - discount_type
        - amount_discount
      title: AmountDiscount
    TieredPercentageDiscount:
      properties:
        discount_type:
          type: string
          enum:
            - tiered_percentage
          title: Discount Type
        applies_to_price_ids:
          oneOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Applies To Price Ids
          description: >-
            List of price_ids that this discount applies to. For plan/plan phase
            discounts, this can be a subset of prices.
          examples:
            - - h74gfhdjvn7ujokd
              - 7hfgtgjnbvc3ujkl
        filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Filters
          description: The filters that determine which prices to apply this discount to.
        reason:
          oneOf:
            - type: string
            - type: 'null'
          title: Reason
        tiers:
          items:
            $ref: '#/components/schemas/PercentageTier'
          type: array
          title: Tiers
          description: >-
            Only available if discount_type is `tiered_percentage`. The ordered,
            contiguous bands of cumulative eligible spend, each discounted at
            its own percentage (progressive fill-a-tier).
      type: object
      required:
        - discount_type
        - tiers
      title: TieredPercentageDiscount
    UnitPrice:
      properties:
        model_type:
          type: string
          enum:
            - unit
          title: Model Type
          description: The pricing model type
        unit_config:
          $ref: '#/components/schemas/UnitConfig'
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - unit_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: UnitPrice
    TieredPrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered
          title: Model Type
          description: The pricing model type
        tiered_config:
          $ref: '#/components/schemas/TieredConfig'
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - tiered_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: TieredPrice
    BulkPrice:
      properties:
        model_type:
          type: string
          enum:
            - bulk
          title: Model Type
          description: The pricing model type
        bulk_config:
          $ref: '#/components/schemas/BulkConfig'
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - bulk_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: BulkPrice
    BulkWithFiltersPrice:
      properties:
        model_type:
          type: string
          enum:
            - bulk_with_filters
          title: Model Type
          description: The pricing model type
        bulk_with_filters_config:
          $ref: '#/components/schemas/BulkWithFiltersConfig'
          description: Configuration for bulk_with_filters pricing
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - bulk_with_filters_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: BulkWithFiltersPrice
    PackagePrice:
      properties:
        model_type:
          type: string
          enum:
            - package
          title: Model Type
          description: The pricing model type
        package_config:
          $ref: '#/components/schemas/PackageConfig'
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - package_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: PackagePrice
    MatrixPrice:
      properties:
        model_type:
          type: string
          enum:
            - matrix
          title: Model Type
          description: The pricing model type
        matrix_config:
          $ref: '#/components/schemas/MatrixConfig'
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - matrix_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: MatrixPrice
    ThresholdTotalAmountPrice:
      properties:
        model_type:
          type: string
          enum:
            - threshold_total_amount
          title: Model Type
          description: The pricing model type
        threshold_total_amount_config:
          $ref: '#/components/schemas/ThresholdTotalAmountConfig'
          description: Configuration for threshold_total_amount pricing
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - threshold_total_amount_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: ThresholdTotalAmountPrice
    TieredPackagePrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered_package
          title: Model Type
          description: The pricing model type
        tiered_package_config:
          $ref: '#/components/schemas/TieredPackagePricingConfig'
          description: Configuration for tiered_package pricing
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - tiered_package_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: TieredPackagePrice
    TieredWithMinimumPrice:
      properties:
        model_type:
          type: string
          enum:
            - tiered_with_minimum
          title: Model Type
          description: The pricing model type
        tiered_with_minimum_config:
          $ref: '#/components/schemas/TieredPricingWithMinimumConfig'
          description: Configuration for tiered_with_minimum pricing
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - tiered_with_minimum_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
        - minimum
        - minimum_amount
        - maximum
        - maximum_amount
      title: TieredWithMinimumPrice
    GroupedTieredPrice:
      properties:
        model_type:
          type: string
          enum:
            - grouped_tiered
          title: Model Type
          description: The pricing model type
        grouped_tiered_config:
          $ref: '#/components/schemas/GroupedTieredConfig'
          description: Configuration for grouped_tiered pricing
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        external_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Price Id
        replaces_price_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Replaces Price Id
          description: >-
            The price id this price replaces. This price will take the place of
            the replaced price in plan version migrations.
        price_type:
          type: string
          enum:
            - usage_price
            - fixed_price
            - composite_price
          title: Price Type
        created_at:
          type: string
          format: date-time
          title: Created At
        cadence:
          type: string
          enum:
            - one_time
            - monthly
            - quarterly
            - semi_annual
            - annual
            - custom
          title: Cadence
        billing_mode:
          type: string
          enum:
            - in_advance
            - in_arrear
          title: Billing Mode
        billing_cycle_configuration:
          $ref: '#/components/schemas/BillingCycleConfiguration'
        invoicing_cycle_configuration:
          oneOf:
            - $ref: '#/components/schemas/BillingCycleConfiguration'
            - type: 'null'
        billable_metric:
          oneOf:
            - $ref: '#/components/schemas/BillableMetricTiny'
            - type: 'null'
        dimensional_price_configuration:
          oneOf:
            - $ref: '#/components/schemas/DimensionalPriceConfiguration'
            - type: 'null'
        fixed_price_quantity:
          oneOf:
            - type: number
            - type: 'null'
          title: Fixed Price Quantity
        plan_phase_order:
          oneOf:
            - type: integer
            - type: 'null'
          title: Plan Phase Order
        currency:
          type: string
          title: Currency
        conversion_rate:
          oneOf:
            - type: number
            - type: 'null'
          title: Conversion Rate
        conversion_rate_config:
          oneOf:
            - $ref: '#/components/schemas/ConversionRateConfig'
            - type: 'null'
        item:
          $ref: '#/components/schemas/ItemSlim'
        credit_allocation:
          oneOf:
            - $ref: '#/components/schemas/Allocation'
            - type: 'null'
        composite_price_filters:
          oneOf:
            - items:
                $ref: '#/components/schemas/PriceFilter'
              type: array
            - type: 'null'
          title: Composite Price Filters
        invoice_grouping_key:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Grouping Key
        license_type:
          oneOf:
            - $ref: '#/components/schemas/LicenseType'
            - type: 'null'
        discount:
          oneOf:
            - $ref: '#/components/schemas/Discount'
            - type: 'null'
          deprecated: true
        minimum:
          oneOf:
            - $ref: '#/components/schemas/Minimum'
            - type: 'null'
          deprecated: true
        minimum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Minimum Amount
          deprecated: true
        maximum:
          oneOf:
            - $ref: '#/components/schemas/Maximum'
            - type: 'null'
          deprecated: true
        maximum_amount:
          oneOf:
            - type: string
            - type: 'null'
          title: Maximum Amount
          deprecated: true
      type: object
      required:
        - model_type
        - grouped_tiered_config
        - metadata
        - id
        - name
        - external_price_id
        - replaces_price_id
        - price_type
        - created_at
        - cadence
        - billing_mode
        - billing_cycle_configuration
        - invoicing_cycle_configuration
        - billable_metric
        - fixed_price_quantity
        - plan_phase_order
        - currency
        - conversion_rate
        - conversion_rate_config
        - item
        - credit_allocation
        - composite_price_filters
        - invoice_grouping_key
        - discount
[...]
